メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Spaces Search エンドポイントを使用すると、キーワードでライブまたは予定されている Spaces を検索できます。興味のあるトピックについての Spaces を見つけられます。

概要

キーワード検索

タイトルで Spaces を検索

Spaces を見つける

ライブ中および今後の Spaces を見つける

エンドポイント

メソッドエンドポイント説明
GET/2/spaces/searchSpaces を検索

パラメーター

パラメーター説明
query検索クエリ (必須)
statelive または scheduled で絞り込み
space.fields追加の Space フィールド
expansionsレスポンスに含める関連オブジェクト

リクエスト例

curl "https://api.x.com/2/spaces/search?\
query=AI&\
state=live&\
space.fields=title,host_ids,participant_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"

レスポンス例

{
  "data": [
    {
      "id": "1DXxyRYNejbKM",
      "state": "live",
      "title": "Discussing AI and the Future",
      "host_ids": ["1234567890"],
      "participant_count": 245
    }
  ],
  "meta": {
    "result_count": 1
  }
}

はじめに

前提条件

クイックスタート

最初のスペースを検索する

Spaces ルックアップ

ID でスペースを取得する

APIリファレンス

エンドポイントの完全なドキュメント